diff --git a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.inc b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.inc
index 58187df0..0ccca6f6 100644
--- a/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.inc
+++ b/drupal7/sites/all/modules/ldap/ldap_authentication/ldap_authentication.inc
@@ -2,14 +2,14 @@
 
 /**
  * @file
- * ldap_authentication helper functions
+ * Ldap_authentication helper functions.
  */
 
 /**
-  * helper function for ldap_authn_form_user_login_block_alter and ldap_authn_form_user_login_alter
-  *
-  * @todo if form is being generated on non https and is set in preferences, set warning and end form development
-  */
+ * Helper function for ldap_authn_form_user_login_block_alter and ldap_authn_form_user_login_alter.
+ *
+ * @todo if form is being generated on non https and is set in preferences, set warning and end form development
+ */
 function _ldap_authentication_login_form_alter(&$form, &$form_state, $form_id) {
 
   if (!$auth_conf = ldap_authentication_get_valid_conf()) {
@@ -42,15 +42,15 @@ function _ldap_authentication_login_form_alter(&$form, &$form_state, $form_id) {
 
   if ($form_id == 'user_login_block') {
     $user_register = variable_get('user_register', USER_REGISTER_VISITORS_ADMINISTRATIVE_APPROVAL);
-    $vars = array(
+    $vars = [
       'show_reset_pwd' => ldap_authentication_show_reset_pwd(),
       'auth_conf' => $auth_conf,
-      );
+    ];
 
     $form['links']['#markup'] = theme('ldap_authentication_user_login_block_links', $vars);
   }
 
-  // Add help information for entering in username/password
+  // Add help information for entering in username/password.
   $auth_conf = ldap_authentication_get_valid_conf();
   if ($auth_conf) {
     if (isset($auth_conf->loginUIUsernameTxt)) {
@@ -65,18 +65,18 @@ function _ldap_authentication_login_form_alter(&$form, &$form_state, $form_id) {
   }
 }
 
-
-
 /**
-  * alter user editing form (profile form) based on ldap authentication configuration
-  *
-  * @param array $form array from user profile
-  * @param array $form_state from user profile
-  *
-  * @return NULL (alters $form by reference)
-  */
+ * Alter user editing form (profile form) based on ldap authentication configuration.
+ *
+ * @param array $form
+ *   array from user profile.
+ * @param array $form_state
+ *   from user profile.
+ *
+ * @return NULL (alters $form by reference)
+ */
 function _ldap_authentication_form_user_profile_form_alter(&$form, $form_state) {
-  // keep in mind admin may be editing another users profile form.  don't assume current global $user
+  // Keep in mind admin may be editing another users profile form.  don't assume current global $user.
   $auth_conf = ldap_authentication_get_valid_conf();
   if ($auth_conf && ldap_authentication_ldap_authenticated($form['#user'])) {
     if ($auth_conf->emailOption == LDAP_AUTHENTICATION_EMAIL_FIELD_REMOVE) {
@@ -87,31 +87,31 @@ function _ldap_authentication_form_user_profile_form_alter(&$form, $form_state)
       $form['account']['mail']['#description'] = t('This email address is automatically set and may not be changed.');
     }
     elseif ($auth_conf->emailOption == LDAP_AUTHENTICATION_EMAIL_FIELD_ALLOW) {
-      // email field is functional
+      // Email field is functional.
     }
 
     if (!ldap_authentication_show_reset_pwd($form['#user'])) {
       /**  If passwordOption = LDAP_AUTHENTICATION_PASSWORD_FIELD_HIDE then don't show the password fields,
-        otherwise show the fields but in a disabled state.
+       * otherwise show the fields but in a disabled state.
        */
-        switch ($auth_conf->passwordOption) {
-
-          case LDAP_AUTHENTICATION_PASSWORD_FIELD_HIDE:
-            $form['account']['current_pass']['#access'] = FALSE;
-            $form['account']['pass']['#access'] = FALSE;
-            break;
-
-          case LDAP_AUTHENTICATION_PASSWORD_FIELD_SHOW:
-                    // Show in a disabled state since ldap_authentication_show_reset_pwd() has returned FALSE
-            $form['account']['current_pass']['#disabled'] = TRUE;
-            if ($auth_conf->ldapUserHelpLinkUrl) {
-              $form['account']['current_pass']['#description'] = l(t($auth_conf->ldapUserHelpLinkText), $auth_conf->ldapUserHelpLinkUrl);
-            }
-            else {
-              $form['account']['current_pass']['#description'] = t('The password cannot be changed using this website');
-            }
-            $form['account']['pass']['#disabled'] = TRUE;
-            break;
+      switch ($auth_conf->passwordOption) {
+
+        case LDAP_AUTHENTICATION_PASSWORD_FIELD_HIDE:
+          $form['account']['current_pass']['#access'] = FALSE;
+          $form['account']['pass']['#access'] = FALSE;
+          break;
+
+        case LDAP_AUTHENTICATION_PASSWORD_FIELD_SHOW:
+          // Show in a disabled state since ldap_authentication_show_reset_pwd() has returned FALSE.
+          $form['account']['current_pass']['#disabled'] = TRUE;
+          if ($auth_conf->ldapUserHelpLinkUrl) {
+            $form['account']['current_pass']['#description'] = l(t($auth_conf->ldapUserHelpLinkText), $auth_conf->ldapUserHelpLinkUrl);
+          }
+          else {
+            $form['account']['current_pass']['#description'] = t('The password cannot be changed using this website');
+          }
+          $form['account']['pass']['#disabled'] = TRUE;
+          break;
       }
     }
   }
@@ -122,12 +122,12 @@ function _ldap_authentication_form_user_profile_form_alter(&$form, $form_state)
  * $auth_conf.
  *
  * @param array $ldap_user
- *   LDAP user entry
+ *   LDAP user entry.
  * @param LdapAuthenticationConf $auth_conf
  *   LDAP authentication configuration class.
  */
 function _ldap_authentication_replace_user_email(&$ldap_user, $auth_conf, $tokens) {
-  // fallback template in case one was not specified.
+  // Fallback template in case one was not specified.
   $template = '@username@localhost';
   if (!empty($auth_conf->emailTemplate)) {
     $template = $auth_conf->emailTemplate;
@@ -136,38 +136,40 @@ function _ldap_authentication_replace_user_email(&$ldap_user, $auth_conf, $token
 }
 
 /**
-  * user form validation will take care of username, pwd fields
-  * this function validates ldap authentication specific
-  *
-  * @param array $form_state array from user logon form
-  * @return null, but success or failure is indicated by:
-  * -- form_set_error() to invalidate authentication process
-  * -- setting $form_state['uid'] to indicate successful authentication
-  */
+ * User form validation will take care of username, pwd fields
+ * this function validates ldap authentication specific.
+ *
+ * @param array $form_state
+ *   array from user logon form.
+ *
+ * @return null, but success or failure is indicated by:
+ *   -- form_set_error() to invalidate authentication process
+ *   -- setting $form_state['uid'] to indicate successful authentication
+ */
 function _ldap_authentication_user_login_authenticate_validate(&$form_state, $return_user) {
 
-  // Check if Flood control was triggered; if so, don't authenticate
+  // Check if Flood control was triggered; if so, don't authenticate.
   if (isset($form_state['flood_control_triggered'])) {
     return;
   }
 
   $detailed_watchdog_log = variable_get('ldap_help_watchdog_detail', 0);
 
-  // Default to name
+  // Default to name.
   $entered_name = $form_state['values']['name'];
   $authname_drupal_property = $form_field_name = 'name';
 
-  // Email registration module populates name even though user entered email
+  // Email registration module populates name even though user entered email.
   if (!empty($form_state['values']['email'])) {
     $entered_name = $form_state['values']['email'];
     $authname_drupal_property = 'mail';
     $form_field_name = 'email';
   }
 
-  // $authname is the name the user is authenticated with from the logon form // patch 1599632
+  // $authname is the name the user is authenticated with from the logon form // patch 1599632.
   $authname = $entered_name;
 
-  if (empty($form_state['values']['pass']) || empty ($form_state['values'][$form_field_name])) {
+  if (empty($form_state['values']['pass']) || empty($form_state['values'][$form_field_name])) {
     return FALSE;
   }
   /*
@@ -179,18 +181,19 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
    */
   $sso_login = (isset($form_state['sso_login']) && $form_state['sso_login']) ? TRUE : FALSE;
 
-  $watchdog_tokens = array('%username' => $authname, '%authname' => $authname); // $watchdog_tokens = array('%username' => $name); // patch 1599632
+  // Patch 1599632.
+  $watchdog_tokens = ['%username' => $authname, '%authname' => $authname];
   if ($detailed_watchdog_log) {
     watchdog('ldap_authentication', '%username : Beginning authentification....', $watchdog_tokens, WATCHDOG_DEBUG);
   }
 
   if (!$auth_conf = ldap_authentication_get_valid_conf()) {
-    watchdog('ldap_authentication', 'Failed to get valid ldap authentication configuration.', array(), WATCHDOG_ERROR);
-    form_set_error('name', 'Server Error: Failed to get valid ldap authentication configuration.' . $error);
+    watchdog('ldap_authentication', 'Failed to get valid ldap authentication configuration.', [], WATCHDOG_ERROR);
+    form_set_error('name', 'Server Error: Failed to get valid ldap authentication configuration.');
     return;
   }
 
- /**
+  /**
   * I. Test for previous module authentication success.
   *
   * if already succeeded at authentication, $form_state['uid'] will be set by other authentication module.
@@ -200,24 +203,26 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
   if (isset($form_state['uid']) && is_numeric($form_state['uid'])) {
     if ($auth_conf->authenticationMode == LDAP_AUTHENTICATION_MIXED || $form_state['uid'] == 1) {
       if ($detailed_watchdog_log) {
-      watchdog('ldap_authentication', '%username : Previously authenticated in mixed mode or uid=1', $watchdog_tokens, WATCHDOG_DEBUG);
+        watchdog('ldap_authentication', '%username : Previously authenticated in mixed mode or uid=1', $watchdog_tokens, WATCHDOG_DEBUG);
       }
-      return;  // already passed a previous module's authentication validation
+      // Already passed a previous module's authentication validation.
+      return;
     }
     elseif ($auth_conf->authenticationMode == LDAP_AUTHENTICATION_EXCLUSIVE) {
       if ($detailed_watchdog_log) {
         watchdog('ldap_authentication', '%username : Previously authenticated in exclusive mode or uid is not 1.  Clear uid
         in form_state and attempt ldap authentication.', $watchdog_tokens, WATCHDOG_DEBUG);
       }
-      $form_state['uid'] = NULL;  // passed previous authentication, but only ldap should be used so override
+      // Passed previous authentication, but only ldap should be used so override.
+      $form_state['uid'] = NULL;
     }
   }
 
- /**
-  * II. Exit if no authentication servers.
-  */
+  /**
+   * II. Exit if no authentication servers.
+   */
   if (!$auth_conf->hasEnabledAuthenticationServers()) {
-    watchdog('ldap_authentication', 'No LDAP servers configured.', array(), WATCHDOG_ERROR);
+    watchdog('ldap_authentication', 'No LDAP servers configured.', [], WATCHDOG_ERROR);
     form_set_error('name', 'Server Error:  No LDAP servers configured.');
     return;
   }
@@ -229,7 +234,8 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
   list($drupal_account, $drupal_account_is_authmapped) = ldap_authentication_corresponding_drupal_user($authname, $auth_conf, $watchdog_tokens);
   $drupal_account_exists = is_object($drupal_account);
   if ($drupal_account_exists && $drupal_account->uid == 1) {
-    return; // user 1 is not allowed to ldap authenticate
+    // User 1 is not allowed to ldap authenticate.
+    return;
   }
 
   /**
@@ -243,7 +249,7 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
     return;
   }
 
-  /*
+  /**
    * IV.a Workaround for the provisioning server not always getting saved in
    *      the user object.  So we save it in a session variable as a backup.
    */
@@ -268,9 +274,9 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
   $watchdog_tokens['%drupal_accountname'] = $drupal_accountname;
 
   // @todo maybe we can add more tokens?
-  $email_template_tokens = array(
+  $email_template_tokens = [
     '@username' => $drupal_accountname,
-  );
+  ];
 
   $email_template_used = FALSE;
 
@@ -283,7 +289,7 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
         if (!empty($ldap_user['mail'])) {
           break;
         }
-        // deliberate fallthrough
+        // Deliberate fallthrough.
       case LDAP_AUTHENTICATION_EMAIL_TEMPLATE_ALWAYS:
         _ldap_authentication_replace_user_email($ldap_user, $auth_conf, $email_template_tokens);
         if ($detailed_watchdog_log) {
@@ -304,7 +310,6 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
    *
    */
 
-
   /**
    * VI.A: Drupal account doesn't exist with $authname used to logon,
    *  but puid exists in another Drupal account; this means username has changed
@@ -318,13 +323,13 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
       if ($drupal_account) {
         $drupal_account_exists = TRUE;
         if ($drupal_accountname == $authname) {
-          $user_edit = array($authname_drupal_property => $drupal_accountname);
+          $user_edit = [$authname_drupal_property => $drupal_accountname];
         }
         else {
-          $user_edit = array('name' => $drupal_accountname);
+          $user_edit = ['name' => $drupal_accountname];
         }
         $drupal_account = user_save($drupal_account, $user_edit, 'ldap_user');
-        user_set_authmaps($drupal_account, array("authname_ldap_user" => $authname));
+        user_set_authmaps($drupal_account, ["authname_ldap_user" => $authname]);
         $drupal_account_is_authmapped = TRUE;
       }
     }
@@ -332,11 +337,10 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
 
   /**
    * VI.B: existing Drupal account but not authmapped to ldap modules,
-   *   ldap authmap or disallow
-   *
+   * ldap authmap or disallow.
    */
-
-  if ($drupal_account_exists && !$drupal_account_is_authmapped) {  // account already exists
+  // Account already exists.
+  if ($drupal_account_exists && !$drupal_account_is_authmapped) {
     if ($auth_conf->ldapUser->loginConflictResolve == LDAP_USER_CONFLICT_LOG) {
       if ($account_with_same_email = user_load_by_mail($ldap_user['mail'])) {
         $watchdog_tokens['%conflict_name'] = $account_with_same_email->name;
@@ -345,9 +349,10 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
       drupal_set_message(t('Another user already exists in the system with the same login name. You should contact the system administrator in order to solve this conflict.'), 'error');
       return;
     }
-    else { // LDAP_authen.AC.disallow.ldap.drupal
-    // add ldap_authentication authmap to user.  account name is fine here, though cn could be used
-      user_set_authmaps($drupal_account, array('authname_ldap_user' => $authname));
+    // LDAP_authen.AC.disallow.ldap.drupal.
+    else {
+      // Add ldap_authentication authmap to user.  account name is fine here, though cn could be used.
+      user_set_authmaps($drupal_account, ['authname_ldap_user' => $authname]);
       $drupal_account_is_authmapped = TRUE;
       if ($detailed_watchdog_log) {
         watchdog('ldap_authentication', 'set authmap for %username authname_ldap_user', $watchdog_tokens, WATCHDOG_DEBUG);
@@ -356,8 +361,8 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
   }
 
   /**
-   * VI.C: existing Drupal account with incorrect email.  fix email if appropriate
-   *
+   * VI.C: existing Drupal account with incorrect email.
+   * Fix email if appropriate.
    */
   if ((!($auth_conf->templateUsageNeverUpdate && $email_template_used)) &&
       $drupal_account_exists &&
@@ -366,13 +371,13 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
         $auth_conf->emailUpdate == LDAP_AUTHENTICATION_EMAIL_UPDATE_ON_LDAP_CHANGE_ENABLE_NOTIFY ||
         $auth_conf->emailUpdate == LDAP_AUTHENTICATION_EMAIL_UPDATE_ON_LDAP_CHANGE_ENABLE
       )) {
-    $user_edit = array('mail' => $ldap_user['mail']);
+    $user_edit = ['mail' => $ldap_user['mail']];
 
     $watchdog_tokens['%username'] = $drupal_account->name;
     if (!$updated_account = user_save($drupal_account, $user_edit)) {
       watchdog('ldap_authentication', 'Failed to make changes to user %username updated %changed.', $watchdog_tokens, WATCHDOG_ERROR);
     }
-    elseif ($auth_conf->emailUpdate == LDAP_AUTHENTICATION_EMAIL_UPDATE_ON_LDAP_CHANGE_ENABLE_NOTIFY ) {
+    elseif ($auth_conf->emailUpdate == LDAP_AUTHENTICATION_EMAIL_UPDATE_ON_LDAP_CHANGE_ENABLE_NOTIFY) {
       if (isset($user_edit['mail'])) {
         $watchdog_tokens['%mail'] = $user_edit['mail'];
         drupal_set_message(t('Your e-mail has been updated to match your current account (%mail).', $watchdog_tokens), 'status');
@@ -386,7 +391,6 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
 
   /**
    * VI.C: no existing Drupal account.  consider provisioning Drupal account.
-   *
    */
   if (!$drupal_account_exists) {
 
@@ -394,8 +398,10 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
     if (($auth_conf->ldapUser->acctCreation == LDAP_USER_ACCOUNTS_WITH_SAME_EMAIL_DISABLED) && ($account_with_same_email = user_load_by_mail($ldap_user['mail']))) {
       $error = TRUE;
       /**
-       * username does not exist but email does.  Since user_external_login_register does not deal with
-       * mail attribute and the email conflict error needs to be caught beforehand, need to throw error here
+       * username does not exist but email does.
+       * Since user_external_login_register does not deal with mail attribute
+       * and the email conflict error needs to be caught beforehand, need to
+       * throw error here.
        */
       if ($auth_conf->templateUsageResolveConflict && (!$email_template_used)) {
         if ($detailed_watchdog_log) {
@@ -403,7 +409,7 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
         }
         _ldap_authentication_replace_user_email($ldap_user, $auth_conf, $email_template_tokens);
         $email_template_used = TRUE;
-        // recheck with the template email to make sure it doesn't also exist.
+        // Recheck with the template email to make sure it doesn't also exist.
         if ($account_with_same_email = user_load_by_mail($ldap_user['mail'])) {
           $error = TRUE;
         }
@@ -417,41 +423,43 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
       }
     }
 
-    // VI.C.2 Do not provision Drupal account if provisioning disabled
+    // VI.C.2 Do not provision Drupal account if provisioning disabled.
     if (!$auth_conf->ldapUser->provisionEnabled(LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, LDAP_USER_DRUPAL_USER_PROV_ON_AUTHENTICATE)) {
       watchdog('ldap_user', 'Drupal account for authname=%authname account name=%account_name_attr does not exist and provisioning of Drupal accounts on authentication is not enabled', $watchdog_tokens, WATCHDOG_INFO);
       return;
     }
 
-    // VI.C.3 Provision Drupal account
     /**
-     *
-     * new ldap_authentication provisioned account could let user_external_login_register create the account and set authmaps, but would need
-     * to add mail and any other user->data data in hook_user_presave which would mean requerying ldap
-     * or having a global variable.  At this point the account does not exist, so there is no
+     * VI.C.3 Provision Drupal account.
+     * New ldap_authentication provisioned account could
+     * letuser_external_login_register create the account and set authmaps, but
+     * would need to add mail and any other user->data data in
+     * hook_user_presave which would mean requerying ldap or having a global
+     * variable.  At this point the account does not exist, so there is no
      * reason not to create it here.
      *
-     * @todo create patch for core user module's user_external_login_register to deal with new external accounts
-     *       a little tweak to add user->data and mail etc as parameters would make it more useful
-     *       for external authentication modules
+     * @todo create patch for core user module's user_external_login_register
+     * to deal with new external accounts a little tweak to add user->data and
+     * mail etc as parameters would make it more useful for external
+     * authentication modules.
      */
-
-      $user_register = variable_get('user_register', USER_REGISTER_VISITORS_ADMINISTRATIVE_APPROVAL);
-      if ($auth_conf->ldapUser->acctCreation == LDAP_USER_ACCT_CREATION_USER_SETTINGS_FOR_LDAP &&
+    $user_register = variable_get('user_register', USER_REGISTER_VISITORS_ADMINISTRATIVE_APPROVAL);
+    if ($auth_conf->ldapUser->acctCreation == LDAP_USER_ACCT_CREATION_USER_SETTINGS_FOR_LDAP &&
             $user_register == USER_REGISTER_ADMINISTRATORS_ONLY) {
-          watchdog('ldap_user', 'Failed to create account for %drupal_accountname. Administrative user must create user.',
-              $watchdog_tokens, WATCHDOG_ERROR);
-          form_set_error('name', t('Server Error: Attempt to create account for %drupal_accountname failed. Administrative user must create user.',
-              $watchdog_tokens));
-          return;
+      watchdog('ldap_user', 'Failed to create account for %drupal_accountname. Administrative user must create user.',
+          $watchdog_tokens, WATCHDOG_ERROR);
+      form_set_error('name', t('Server Error: Attempt to create account for %drupal_accountname failed. Administrative user must create user.',
+          $watchdog_tokens));
+      return;
     }
 
     if ($auth_conf->ldapUser->acctCreation == LDAP_AUTHENTICATION_ACCT_CREATION_USER_SETTINGS_FOR_LDAP &&
         variable_get('user_register', USER_REGISTER_VISITORS_ADMINISTRATIVE_APPROVAL) == USER_REGISTER_VISITORS_ADMINISTRATIVE_APPROVAL) {
-      $user_edit = array('name' => $drupal_accountname, 'status' => 0); // if admin approval required, set status to 0.
+      // If admin approval required, set status to 0.
+      $user_edit = ['name' => $drupal_accountname, 'status' => 0];
     }
     else {
-      $user_edit = array('name' => $drupal_accountname, 'status' => 1);
+      $user_edit = ['name' => $drupal_accountname, 'status' => 1];
     }
 
     // If the email template was used, we want to pass in the email that was
@@ -461,7 +469,7 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
     }
 
     // don't pass in ldap user to provisionDrupalAccount, because want to requery with correct attributes needed
-    // this may be a case where efficiency dictates querying for all attributes
+    // this may be a case where efficiency dictates querying for all attributes.
     $drupal_account = $auth_conf->ldapUser->provisionDrupalAccount(NULL, $user_edit, $ldap_user, TRUE);
 
     if ($drupal_account === FALSE) {
@@ -470,7 +478,7 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
       return;
     }
     else {
-      user_set_authmaps($drupal_account, array('authname_ldap_user' => $authname));
+      user_set_authmaps($drupal_account, ['authname_ldap_user' => $authname]);
       // Using Rules allows emails to be fired and many other possible reactions
       // to the creation of a user.
       if (module_exists('rules')) {
@@ -489,28 +497,22 @@ function _ldap_authentication_user_login_authenticate_validate(&$form_state, $re
   */
 
   $form_state['uid'] = $drupal_account->uid;
- // $fake_form_state = array('uid' => $drupal_account->uid);
- // user_login_submit(array(), $fake_form_state);
- // global $user;
- // $form_state['uid'] = $user->uid;
-
-
-  // the uid is returned so that special login modules, namely ldap sso, can manually call this function.
   return ($return_user) ? $drupal_account : NULL;
 }
 
 /**
- * given authname, determine if corresponding drupal account exists and is authmapped
+ * Given authname, determine if corresponding drupal account exists and is authmapped.
  */
 function ldap_authentication_corresponding_drupal_user($authname, $auth_conf, &$watchdog_tokens) {
   $detailed_watchdog_log = variable_get('ldap_help_watchdog_detail', 0);
   if (!($drupal_account = user_load_by_name($authname)) && !($drupal_account = user_load_by_mail($authname))) {
-    $uid = db_query("SELECT uid FROM {authmap} WHERE authname = :authname AND module = 'ldap_user'", array(':authname' => $authname))->fetchColumn();
+    $uid = db_query("SELECT uid FROM {authmap} WHERE authname = :authname AND module = 'ldap_user'", [':authname' => $authname])->fetchColumn();
     $drupal_account = $uid ? user_load($uid) : FALSE;
   }
 
   if (is_object($drupal_account)) {
-    $authmaps = user_get_authmaps($authname); // $authmaps = user_get_authmaps($name); // patch 1599632
+    // Patch 1599632.
+    $authmaps = user_get_authmaps($authname);
     $drupal_account_is_authmapped = isset($authmaps['ldap_user']);
     $user_data = $drupal_account->data;
     if ($drupal_account->uid == 1 && $detailed_watchdog_log) {
@@ -520,7 +522,8 @@ function ldap_authentication_corresponding_drupal_user($authname, $auth_conf, &$
       watchdog('ldap_authentication', '%username : Drupal User Account found.  Continuing on to attempt ldap authentication', $watchdog_tokens, WATCHDOG_DEBUG);
     }
   }
-  else {  // account does not exist
+  // Account does not exist.
+  else {
     $drupal_account_is_authmapped = FALSE;
     if ($auth_conf->ldapUser->createLDAPAccounts == FALSE) {
       if ($detailed_watchdog_log) {
@@ -531,9 +534,12 @@ function ldap_authentication_corresponding_drupal_user($authname, $auth_conf, &$
       watchdog('ldap_authentication', '%username : Existing Drupal User Account not found.  Continuing on to attempt ldap authentication', $watchdog_tokens, WATCHDOG_DEBUG);
     }
   }
-  return array($drupal_account, $drupal_account_is_authmapped);
+  return [$drupal_account, $drupal_account_is_authmapped];
 }
 
+/**
+ *
+ */
 function ldap_authentication_test_credentials($auth_conf, $sso_login, $authname, $password, &$watchdog_tokens) {
   $detailed_watchdog_log = variable_get('ldap_help_watchdog_detail', 0);
   $authentication_result = LDAP_AUTHENTICATION_RESULT_FAIL_GENERIC;
@@ -546,7 +552,7 @@ function ldap_authentication_test_credentials($auth_conf, $sso_login, $authname,
       watchdog('ldap_authentication', '%username : Trying server %sid where bind_method = %bind_method', $watchdog_tokens, WATCHDOG_DEBUG);
     }
 
-    // #1 CONNECT TO SERVER
+    // #1 CONNECT TO SERVER.
     $authentication_result = LDAP_AUTHENTICATION_RESULT_FAIL_GENERIC;
     $result = $ldap_server->connect();
     if ($result != LDAP_SUCCESS) {
@@ -556,7 +562,8 @@ function ldap_authentication_test_credentials($auth_conf, $sso_login, $authname,
         watchdog('ldap_authentication', '%username : Failed connecting to %sid.  Error: %err_msg', $watchdog_tokens, WATCHDOG_DEBUG);
       }
       $watchdog_tokens['%err_msg'] = NULL;
-      continue; // next server, please
+      // Next server, please.
+      continue;
     }
     elseif ($detailed_watchdog_log) {
       watchdog('ldap_authentication', '%username : Success at connecting to %sid', $watchdog_tokens, WATCHDOG_DEBUG);
@@ -574,11 +581,11 @@ function ldap_authentication_test_credentials($auth_conf, $sso_login, $authname,
       watchdog('ldap_authentication', 'Trying to use SSO with LDAP_SERVERS_BIND_METHOD_USER bind method.', $watchdog_tokens, WATCHDOG_ERROR);
     }
     elseif ($ldap_server->bind_method == LDAP_SERVERS_BIND_METHOD_USER && $sso_login == FALSE) {
-      // with sso enabled this method of binding isn't valid
+      // With sso enabled this method of binding isn't valid.
       foreach ($ldap_server->basedn as $basedn) {
-        $search = array('%basedn', '%username');
+        $search = ['%basedn', '%username'];
         $transformname = $ldap_server->userUsernameToLdapNameTransform($authname, $watchdog_tokens);
-        $replace = array($basedn, $transformname);
+        $replace = [$basedn, $transformname];
         $userdn = str_replace($search, $replace, $ldap_server->user_dn_expression);
         $bind_success = ($ldap_server->bind($userdn, $password, FALSE) == LDAP_SUCCESS);
         if ($bind_success) {
@@ -597,10 +604,11 @@ function ldap_authentication_test_credentials($auth_conf, $sso_login, $authname,
         $watchdog_tokens['%err_text'] = NULL;
       }
       $authentication_result = ($ldap_server->bind_method == LDAP_SERVERS_BIND_METHOD_USER) ? LDAP_AUTHENTICATION_RESULT_FAIL_CREDENTIALS : LDAP_AUTHENTICATION_RESULT_FAIL_BIND;
-      continue; // if bind fails, onto next server
+      // If bind fails, onto next server.
+      continue;
     }
 
-    // #3 DOES USER EXIST IN SERVER'S LDAP
+    // #3 DOES USER EXIST IN SERVER'S LDAP.
     if ($ldap_server->bind_method == LDAP_SERVERS_BIND_METHOD_ANON_USER) {
       $ldap_user = $ldap_server->userUserNameToExistingLdapEntry($authname);
     }
@@ -628,24 +636,25 @@ function ldap_authentication_test_credentials($auth_conf, $sso_login, $authname,
         break;
       }
       $authentication_result = LDAP_AUTHENTICATION_RESULT_FAIL_FIND;
-      continue; // next server, please
+      // Next server, please.
+      continue;
     }
 
     $watchdog_tokens['%dn'] = $ldap_user['dn'];
     $watchdog_tokens['%mail'] = $ldap_user['mail'];
 
     /**
-    * #4 CHECK ALLOWED AND EXCLUDED LIST AND PHP FOR ALLOWED USERS
-    */
-
+     * #4 CHECK ALLOWED AND EXCLUDED LIST AND PHP FOR ALLOWED USERS
+     */
     if (!$auth_conf->allowUser($authname, $ldap_user)) {
       $authentication_result = LDAP_AUTHENTICATION_RESULT_FAIL_DISALLOWED;
-      break;  // regardless of how many servers, disallowed user fails
+      // Regardless of how many servers, disallowed user fails.
+      break;
     }
 
     /**
-    * #5 TEST PASSWORD
-    */
+     * #5 TEST PASSWORD
+     */
     $credentials_pass = FALSE;
     if ($sso_login) {
       /** If we have $sso_login passed in as true from the fake form state in
@@ -658,15 +667,15 @@ function ldap_authentication_test_credentials($auth_conf, $sso_login, $authname,
         * what is contained in the global $_SERVER array populated by the web
         * server authentication.
         */
-      $credentials_pass = (boolean)($ldap_user);
+      $credentials_pass = (boolean) ($ldap_user);
     }
     elseif ($ldap_server->bind_method == LDAP_SERVERS_BIND_METHOD_USER) {
-       /**
+      /**
         * With user bind method, the only way we can reach this part of the
         * code is when the pw has already been checked and $ldap_user could be
         * loaded, so we're good to go.
         */
-      $credentials_pass = true;
+      $credentials_pass = TRUE;
     }
     else {
       $credentials_pass = ($ldap_server->bind($ldap_user['dn'], $password, FALSE) == LDAP_SUCCESS);
